package org.josast.amicalsat;

import org.josast.amicalsat.generated.FrameTlmAmicalsat.MsType;
import org.josast.amicalsat.generated.FrameTlmAmicalsat.U2Type;


//#[V1/U2];MS;[Timestamp];[Current rssi];[Latch rssi];[AFC offset ]
public class U2MsTypeFrame extends Frame {


	private String currentRssi;
	private String latchRssi;
	private String aFCOffset;

	@Override
	protected void setUpFrame() {
		U2Type u2type = (U2Type) data.frameTlmEntrySat().payload().tlmAreaSwitch();
		MsType mstype = (MsType) u2type.tlmsw();
		
		 timeStamps = mstype.timeStamps();
		hash.put("timeStamps", timeStamps);
		 currentRssi = mstype.currentRssi();
		hash.put("currentRssi", currentRssi);
		 latchRssi = mstype.latchRssi();
		hash.put("latchRssi", latchRssi);
		 aFCOffset = mstype.aFCOffset();
		hash.put("aFCOffset", aFCOffset);
					
			

		
	}



}
